Global holidays
Retrieve a collection of current user's global holidays.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
OK
application/json
4XX
Error
get/user/global_holidays
GET /api/user/global_holidays HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"id": "NzAwNTUxOTA5NzczMTQ4MTYw",
"name": "text",
"region": "text",
"consecutive": true,
"every_year": true,
"year_start": 1,
"year_end": 1,
"month_start": 1,
"month_end": 1,
"day_start": 1,
"day_end": 1,
"hour_start": 1,
"hour_end": 1,
"minute_start": 1,
"minute_end": 1
}
]
}Update current user's global holidays from tenant holidays.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
itemsstringOptionalExample:
The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwResponses
201
Created
application/json
idstringOptionalExample:
The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYw4XX
Error
post/user/global_holidays
POST /api/user/global_holidays HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38
{
"items": [
"NzAwNTUxOTA5NzczMTQ4MTYw"
]
}{
"id": "NzAwNTUxOTA5NzczMTQ4MTYw"
}Was this helpful?